Subject: RDDBOL language version of "99 Wives with Heads on the Wall"
From: [email-masked] (R. D. Davis)
Date: 20 Aug 1995 00:49:39 -0400
Newsgroups: alt.folklore.computers,comp.lang.misc

With apologies to the ghost of Henry VIII, here's a version of "99
Wives with Heads on the Wall", written in RDDBOL (Doc Demento would
probably love this):

comment-section-begins 
comment-line: Copyright (C) 1995 Robert D. Davis
comment-line: [who else would write something like this?]
comment-line: All rights reserved
comment-line: rumored date of origin: April 1
comment-section-ends
useless-code-section-begins
foo!
useless-code-section-ends
useful-code-section-begins
set monty-python's-flying-circus-emulation-mode to on
one variable is used
variable-one is wife-count and is numeric
displ "Henry the Eighth I am, I am, Henry the Eighth I am,[nl]"
displ "Marrying wives, then off with their heads,[nl]"
displ "Henry the Eighth I am, I am![nl][nl]"
assign 99 to wife-count
iterate wife-count down to 1 by 1 per iteration
  displ "@wife-count wives with heads on the wall,[nl]"
  displ "@wife-count wives with heads,[nl]"
  displ "Chop one off, toss it around,[nl]"
  displ "@(wife-count - 1) wives with heads on the wall.[nl]"
  displ "[nl]"
end iteration
stop
halt
crash
short things out and shoot sparks from tantalum capacitors
catch fire
melt
terminate-all-processing
exit
useful-code-section-ends

-- 
R. D. Davis    * Eccentrics have more fun :-) *  
[email-masked], [email-masked]     Computer restorer and preservationist.
Home telephone: 1-410-744-7964         Unwanted computers disassembled and
http://www.access.digex.net/~rdd       removed for free.